### Function

# GLib idle_add_once

since: 2.74

#### Declaration [src]

    guint
    g_idle_add_once (
      GSourceOnceFunc function,
      gpointer data
    )

#### Description [src]

Adds a function to be called whenever there are no higher priority events pending to the default main loop.

The function is given the default idle priority, `G_PRIORITY_DEFAULT_IDLE`.

The function will only be called once and then the source will be automatically removed from the main context.

This function otherwise behaves like `g_idle_add()`.

Available since: 2.74

This function is not directly available to language bindings.

#### Parameters

`function`

  Type: `GSourceOnceFunc`

  Function to call.

`data`

  Type: `gpointer`

  Data to pass to `function`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The ID (greater than 0) of the event source.